#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           prison
Version: 5.42.0
Release:        %mkrel %{rel}
Summary:        A Qt-based barcode abstraction library

Group:          System/Libraries 
License:        MIT
URL:            https://projects.kde.org/projects/kdesupport/prison
Source0:        http://download.kde.org/stable/frameworks/5.29/%{name}-%{version}.tar.xz
BuildRequires:  kf5-macros
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Core)

BuildRequires:  pkgconfig(libdmtx)
BuildRequires:  pkgconfig(libqrencode)

%description
Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files
%_sysconfdir/xdg/prison.categories

#--------------------------------------------------------------------

%define prison_major 5
%define libkf5prison %mklibname kf5%{name} %{prison_major}

%package -n %{libkf5prison}
Summary:        Prison library file
Group:          System/Libraries
Requires:       %name = %version-%release

%description -n %{libkf5prison}
Library file for %{name}.

Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files -n %{libkf5prison}
%{_kf5_libdir}/libKF5Prison.so.%{prison_major}{,.*}

#--------------------------------------------------------------------

%define libnamedev %mklibname kf5%{name} -d

%package -n %{libnamedev}
Summary:        Prison development files
Group:          Development/KDE and Qt
Requires:       %{libkf5prison} >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for applications that use %{name}.

Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files -n %{libnamedev}
%doc LICENSE
%{_kf5_includedir}/prison/
%{_kf5_includedir}/prison_version.h
%{_kf5_libdir}/libKF5Prison.so
%{_kf5_libdir}/cmake/KF5Prison/
%{_kf5_mkspecsdir}/*.pri

#--------------------------------------------------------------------
%prep
%setup -q

%build
%cmake_kf5
%make_build

%install
%make_install -C build


%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194175
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089005
- New version 5.32.0

* Tue Dec 13 2016 daviddavid <daviddavid> 5.29.0-1.mga6
+ Revision: 1074590
- port to Kf5/Qt5

  + neoclust <neoclust>
    - New version 5.29.0

* Fri Feb 05 2016 umeabot <umeabot> 1.1.1-4.mga6
+ Revision: 939928
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-3.mga5
+ Revision: 747057
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-2.mga5
+ Revision: 687783
- Mageia 5 Mass Rebuild

* Thu Apr 17 2014 lmenut <lmenut> 1.1.1-1.mga5
+ Revision: 615502
- Update to 1.1.1

* Sun Mar 23 2014 lmenut <lmenut> 1.1.0-1.mga5
+ Revision: 606935
- Update to 1.1.0

* Fri Oct 18 2013 umeabot <umeabot> 1.0-4.mga4
+ Revision: 517657
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 378212
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + ze <ze>
    - set default files attibutes
    - add versioning to provides
    - add other provide
    - move LICENSE to devel package since its wheres developed
    - improve description

* Mon Jun 27 2011 mikala <mikala> 1.0-2.mga2
+ Revision: 114252
- Add a provides for devel package

* Sun Jun 26 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 114138
- imported package prison


* Fri May 20 2011 Jaroslav Reznik <jreznik@redhat.com> - 1.0-2
- prison is qt only library

* Fri May 20 2011 Jaroslav Reznik <jreznik@redhat.com> - 1.0-1
- initial package
